/*
    Gradient.PRG
    Vic McClung
    July 9, 2000

    This is a sample program to show the use of the gradient.cc
    and gradient.dll.

    All you have to do is run this:
      It creates a small application, shows
      the gradient on the _app.framewin, and 
      opens two forms with instances of the gradient
      object, all three are independant of each
      other ... 

    NOTE: All you need to actually use the gradient
    class is:
       gradient.cc
       gradient.dll

*/
Public app

app = new application()
app.Start()

Class application
   this.iCount = 0
   this.form = 0


   function Start
   local f1, f2
   _app.OldToolBar = _app.SpeedBar
   _app.OldStatusBar = _app.StatusBar
   _app.StatusBar = false
   _app.SpeedBar = false
   shell(false, false)
   set procedure to program(1) additive
   set procedure to :dUFLP:gradient.cc additive
   set procedure to gradient.wfm additive
   _app.grad = new gradient()
   _app.grad.open()
   f1 = new gForm()
   f1.autocenter = false
   f1.top = 2
   f1.left = 2
   f1.parent = app
   f1.open()
   this.iCount++
   f2 = new gForm()
   f2.autocenter = false
   f2.top = 15
   f2.left = 35
   f2.parent = app
   f2.open()
   this.iCount++

   function closeApp()
   this.iCount--
   if this.iCount == 0
      if upper(version(1)) $ "RUNTIME"
         quit
      else
         _app.SpeedBar = _app.OldToolBar
         _app.StatusBar = _app.OldStatusBar
         _app.grad.close()
      endif
   endif

endclass